Bug 1112024 - logind does not properly recognize that a client is already inside a session
logind does not properly recognize that a client is already inside a session
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: systemd maintainers
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-16 14:09 UTC by Franck Bui
Modified: 2018-12-10 11:14 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Franck Bui 2018-10-16 14:09:43 UTC
It was already reported upstream: https://github.com/systemd/systemd/issues/8021

This bug to keep track of this issue which needs to be fixed in all supported distros.
Comment 1 Franck Bui 2018-10-16 14:11:30 UTC
The key is "the su process is inside gnome-terminal-server.service which is in turn under user@1000.service which is inside user-1000.slice, and not under session-2.scope".
Comment 2 Franck Bui 2018-10-17 12:25:51 UTC
Fix backported to all supported distros (v228, v234, v237).

Closing.
Comment 5 Swamp Workflow Management 2018-11-07 14:16:06 UTC
SUSE-SU-2018:3644-1: An update that solves two vulnerabilities and has 16 fixes is now available.

Category: security (important)
Bug References: 1089761,1090944,1091677,1093753,1101040,1102908,1105031,1107640,1107941,1109197,1109252,1110445,1112024,1113083,1113632,1113665,1114135,991901
CVE References: CVE-2018-15686,CVE-2018-15688
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    systemd-234-24.15.1, systemd-mini-234-24.15.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    systemd-234-24.15.1
Comment 6 Swamp Workflow Management 2018-11-09 23:14:19 UTC
openSUSE-SU-2018:3695-1: An update that solves two vulnerabilities and has 16 fixes is now available.

Category: security (important)
Bug References: 1089761,1090944,1091677,1093753,1101040,1102908,1105031,1107640,1107941,1109197,1109252,1110445,1112024,1113083,1113632,1113665,1114135,991901
CVE References: CVE-2018-15686,CVE-2018-15688
Sources used:
openSUSE Leap 15.0 (src):    systemd-234-lp150.20.9.1, systemd-mini-234-lp150.20.9.1
Comment 7 Swamp Workflow Management 2018-11-14 17:09:59 UTC
SUSE-SU-2018:3767-1: An update that solves two vulnerabilities and has 7 fixes is now available.

Category: security (important)
Bug References: 1106923,1108835,1109252,1110445,1111278,1112024,1113083,1113632,1113665
CVE References: CVE-2018-15686,CVE-2018-15688
Sources used:
SUSE OpenStack Cloud 7 (src):    systemd-228-150.53.3
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    systemd-228-150.53.3
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    systemd-228-150.53.3
SUSE Linux Enterprise Server 12-SP3 (src):    systemd-228-150.53.3
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    systemd-228-150.53.3
SUSE Linux Enterprise Server 12-SP2-BCL (src):    systemd-228-150.53.3
SUSE Linux Enterprise Desktop 12-SP3 (src):    systemd-228-150.53.3
SUSE Enterprise Storage 4 (src):    systemd-228-150.53.3
SUSE CaaS Platform ALL (src):    systemd-228-150.53.3
SUSE CaaS Platform 3.0 (src):    systemd-228-150.53.3
OpenStack Cloud Magnum Orchestration 7 (src):    systemd-228-150.53.3
Comment 8 Swamp Workflow Management 2018-11-16 23:17:43 UTC
openSUSE-SU-2018:3803-1: An update that solves two vulnerabilities and has 7 fixes is now available.

Category: security (important)
Bug References: 1106923,1108835,1109252,1110445,1111278,1112024,1113083,1113632,1113665
CVE References: CVE-2018-15686,CVE-2018-15688
Sources used:
openSUSE Leap 42.3 (src):    systemd-228-62.1, systemd-mini-228-62.1
Comment 9 Swamp Workflow Management 2018-12-10 11:14:24 UTC
SUSE-SU-2018:3767-2: An update that solves two vulnerabilities and has 7 fixes is now available.

Category: security (important)
Bug References: 1106923,1108835,1109252,1110445,1111278,1112024,1113083,1113632,1113665
CVE References: CVE-2018-15686,CVE-2018-15688
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    systemd-228-150.53.3
SUSE Linux Enterprise Server 12-SP4 (src):    systemd-228-150.53.3
SUSE Linux Enterprise Desktop 12-SP4 (src):    systemd-228-150.53.3